<div class="msg-pop orderinfo">
  <div>
    <h3>order Info</h3>
  </div>
</div>
<div>
  <div class="pop--inner">
    <p></p>

    <table aria-describedby="Manage Company"  *ngIf="orderlength>0" class="table table-bordered">
      <thead>
      <th scope="col">Order Id</th>
      <th scope="col">Pickup Location</th>
      <th scope="col">Drop Location</th>
      <th scope="col">Time</th>
      <th scope="col">Order Status</th>
      </thead>
      <tbody>
      <tr *ngFor="let order of orderData">
        <td>{{order.unique_order_id}} </td>
        <td> {{order.pickup_location}}</td>
        <td>{{order.drop_location}}</td>
        <td>{{order.created_at | date:'yyyy-MM-dd HH:mm'}}</td>
        <td class="text-capitalize">{{order.order_status | removeUnderscore}}</td>
      </tr>

      </tbody>
    </table>

    <div class="container-fluid" *ngIf="orderlength>0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-12 text-center">
            <ngb-pagination [collectionSize]="orderlength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>

    <div class="container-fluid" *ngIf="orderlength==0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
            No records found
          </div>
        </div>
      </div>
    </div>
    <div class="pop-btn text-right">
      <input class="btn btn-default close-btn" value="Close" type="button" (click)="closePop()">

    </div>

  </div>



</div>
